#ifndef cGameAppWin_H
#define cGameAppWin_H

#include "cWindow.h"

enum eGamePage{ // 현재 게임의 페이지
	GP_NONE, // 아무것도 없음
	GP_TITLE, // 제목화면
	GP_BODY, // 게임 몸체
	GP_GAMECLEAR, // 엔딩 보여주기
	GP_GAMEOVER, // 게임 오버화면 보여주기
	GP_HIGHSCORE // 득점자 화면 보여주기
};

class cGameAppWin : public cWindow{
protected:
	virtual LRESULT Proc(UINT uMsg, WPARAM wParam, LPARAM lParam);
	virtual char *GetClassName(){ return "GameAppWin"; }

	// 메시지 핸들러
	BOOL OnCreate(WPARAM wParam, LPARAM lParam);
	void OnDestroy(WPARAM wParam, LPARAM lParam);
	void OnPaint(WPARAM wParam, LPARAM lParam);

	cWindow *pChildWin;

public:
	cGameAppWin();
	virtual ~cGameAppWin();

	static BOOL RegisterClass();

	void ChangePage(eGamePage NewPage);
};

#endif
